org.apache.olingo.ext.proxy.commons

## Class SearchImpl<T extends EntityType<?>,EC extends EntityCollection<T,?,?>>

- java.lang.Object
- - org.apache.olingo.ext.proxy.commons.SearchImpl<T,EC>

- All Implemented Interfaces:
    Serializable, Search<T,EC>

      public class SearchImpl<T extends EntityType<?>,EC extends EntityCollection<T,?,?>>
      extends Object
      implements Search<T,EC>

  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EC` | `getResult()` Executes a `$search` search and return the search results as collection.
    `String` | `getSearch()` The `$search` expression for this search.
    `Search<T,EC>` | `setSearch(String search)` Sets the `$search` expression for this search.
    `Search<T,EC>` | `setSearch(URISearch search)` Sets the search generating the `$search` expression for this search.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setSearch

          public Search<T,EC> setSearch(String search)

      Description copied from interface: `Search`
      Sets the `$search` expression for this search.
      Any of available operators and functions can be embodied here.
      Specified by:
        `setSearch` in interface `Search<T extends EntityType<?>,EC extends EntityCollection<T,?,?>>`
      Parameters:
        `search` - the `$search` expression for this search
      Returns:
        the same search instance

    - #### setSearch

          public Search<T,EC> setSearch(URISearch search)

      Description copied from interface: `Search`
      Sets the search generating the `$search` expression for this search.
      Specified by:
        `setSearch` in interface `Search<T extends EntityType<?>,EC extends EntityCollection<T,?,?>>`
      Parameters:
        `search` - search instance (to be obtained via `ODataSearchFactory`): note that `build()` method will be immediately invoked.
      Returns:
        the same search instance

    - #### getSearch

          public String getSearch()

      Description copied from interface: `Search`
      The `$search` expression for this search.
      Specified by:
        `getSearch` in interface `Search<T extends EntityType<?>,EC extends EntityCollection<T,?,?>>`
      Returns:
        the `$search` expression for this search

    - #### getResult

          public EC getResult()

      Description copied from interface: `Search`
      Executes a `$search` search and return the search results as collection.
      Specified by:
        `getResult` in interface `Search<T extends EntityType<?>,EC extends EntityCollection<T,?,?>>`
      Returns:
        an iterable view of the results

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.